{
  "virtualflag" : 0,
  "psdataentityname" : "RESOURCEPLAN",
  "decat" : "DEFAULT",
  "validflag" : 1,
  "logicvalid" : 0,
  "detype" : 1,
  "codename" : "ResourcePlan",
  "noviewmode" : 1,
  "createdate" : "2021-02-16 19:44:39",
  "storagemode" : 1,
  "logicname" : "资源引进计划",
  "existingmodel" : 0,
  "enatempdata" : 0,
  "systemflag" : 0,
  "tablename" : "T_RESOURCEPLAN",
  "psdedbcfgs" : [ {
    "validflag" : 1,
    "createdate" : "2021-02-16 19:44:39",
    "psdedbcfgname" : "MYSQL5"
  } ],
  "psdedrgroups" : [ {
    "codename" : "DRGroup",
    "createdate" : "2021-02-16 19:44:44",
    "psdedrgroupname" : "详细信息",
    "ordervalue" : 10000
  } ],
  "psdefields" : [ {
    "enableuserinput" : 3,
    "psdefieldname" : "CREATEDATE",
    "psdatatypename" : "日期时间型",
    "pssysdbcolumnid" : "DEFAULT/T_RESOURCEPLAN/CREATEDATE",
    "validflag" : 1,
    "physicalfield" : 1,
    "codename" : "CreateDate",
    "psdatatypeid" : "DATETIME",
    "createdate" : "2021-02-16 19:44:41",
    "psdetableid" : "<PSDATAENTITY>/T_RESOURCEPLAN",
    "predefinetype" : "CREATEDATE",
    "pkey" : 0,
    "length" : 8,
    "logicname" : "建立时间",
    "majorfield" : 0,
    "deftype" : 1,
    "allowempty" : 0,
    "fkey" : 0,
    "tablename" : "T_RESOURCEPLAN",
    "psdefformitems" : [ {
      "codename" : "Default",
      "createdate" : "2021-02-16 19:44:41",
      "ftmode" : "DEFAULT",
      "psdefformitemname" : "[CREATEDATE][建立时间]"
    }, {
      "codename" : "MobileDefault",
      "createdate" : "2021-02-16 19:44:41",
      "ftmode" : "MOBILEDEFAULT",
      "psdefformitemname" : "[CREATEDATE][建立时间]移动端默认"
    } ],
    "psdefdtcols" : [ {
      "psdefdtcolname" : "CREATEDATE",
      "customdatatype" : 0,
      "dbtype" : "MYSQL5",
      "createdate" : "2021-02-16 19:44:41"
    } ]
  }, {
    "enableuserinput" : 3,
    "psdefieldname" : "CREATEMAN",
    "psdatatypename" : "文本，可指定长度",
    "pssysdbcolumnid" : "DEFAULT/T_RESOURCEPLAN/CREATEMAN",
    "validflag" : 1,
    "physicalfield" : 1,
    "codename" : "CreateMan",
    "psdatatypeid" : "TEXT",
    "createdate" : "2021-02-16 19:44:40",
    "psdetableid" : "<PSDATAENTITY>/T_RESOURCEPLAN",
    "predefinetype" : "CREATEMAN",
    "pkey" : 0,
    "length" : 60,
    "logicname" : "建立人",
    "majorfield" : 0,
    "deftype" : 1,
    "allowempty" : 0,
    "fkey" : 0,
    "tablename" : "T_RESOURCEPLAN",
    "psdefformitems" : [ {
      "codename" : "Default",
      "createdate" : "2021-02-16 19:44:41",
      "ftmode" : "DEFAULT",
      "psdefformitemname" : "[CREATEMAN][建立人]"
    }, {
      "codename" : "MobileDefault",
      "createdate" : "2021-02-16 19:44:41",
      "ftmode" : "MOBILEDEFAULT",
      "psdefformitemname" : "[CREATEMAN][建立人]移动端默认"
    } ],
    "psdefdtcols" : [ {
      "psdefdtcolname" : "CREATEMAN",
      "customdatatype" : 0,
      "dbtype" : "MYSQL5",
      "createdate" : "2021-02-16 19:44:41"
    } ]
  }, {
    "enableuserinput" : 3,
    "psdefieldname" : "MEMO",
    "psdatatypename" : "长文本，长度1000",
    "pssysdbcolumnid" : "DEFAULT/T_RESOURCEPLAN/MEMO",
    "validflag" : 1,
    "physicalfield" : 1,
    "codename" : "Memo",
    "psdatatypeid" : "LONGTEXT_1000",
    "createdate" : "2021-02-16 20:03:26",
    "psdetableid" : "<PSDATAENTITY>/T_RESOURCEPLAN",
    "pkey" : 0,
    "length" : 2000,
    "logicname" : "备注",
    "majorfield" : 0,
    "deftype" : 1,
    "allowempty" : 1,
    "fkey" : 0,
    "tablename" : "T_RESOURCEPLAN",
    "psdefformitems" : [ {
      "codename" : "Default",
      "createdate" : "2021-02-16 20:03:26",
      "ftmode" : "DEFAULT",
      "psdefformitemname" : "[MEMO][备注]"
    }, {
      "codename" : "MobileDefault",
      "createdate" : "2021-02-16 20:03:26",
      "ftmode" : "MOBILEDEFAULT",
      "psdefformitemname" : "[MEMO][备注]移动端默认"
    } ],
    "psdefdtcols" : [ {
      "psdefdtcolname" : "MEMO",
      "customdatatype" : 0,
      "dbtype" : "MYSQL5",
      "createdate" : "2021-02-16 20:03:26"
    } ]
  }, {
    "enableuserinput" : 3,
    "psdefieldname" : "NMONTH",
    "psdatatypename" : "单项选择(数值)",
    "pssysdbcolumnid" : "DEFAULT/T_RESOURCEPLAN/NMONTH",
    "validflag" : 1,
    "physicalfield" : 1,
    "codename" : "Nmonth",
    "psdatatypeid" : "NSCODELIST",
    "createdate" : "2021-02-17 17:35:18",
    "psdetableid" : "<PSDATAENTITY>/T_RESOURCEPLAN",
    "pscodelistname" : "月份（1～12）",
    "pkey" : 0,
    "logicname" : "月份",
    "majorfield" : 0,
    "deftype" : 1,
    "allowempty" : 1,
    "fkey" : 0,
    "pscodelistid" : "CodeList82",
    "tablename" : "T_RESOURCEPLAN",
    "psdefformitems" : [ {
      "codename" : "Default",
      "createdate" : "2021-02-17 17:35:18",
      "ftmode" : "DEFAULT",
      "psdefformitemname" : "[NMONTH][月份]"
    }, {
      "codename" : "MobileDefault",
      "createdate" : "2021-02-17 17:35:18",
      "ftmode" : "MOBILEDEFAULT",
      "psdefformitemname" : "[NMONTH][月份]移动端默认"
    } ],
    "psdefdtcols" : [ {
      "psdefdtcolname" : "NMONTH",
      "customdatatype" : 0,
      "dbtype" : "MYSQL5",
      "createdate" : "2021-02-17 17:35:18"
    } ]
  }, {
    "enableuserinput" : 3,
    "psdefieldname" : "NYEAR",
    "psdatatypename" : "单项选择(数值)",
    "pssysdbcolumnid" : "DEFAULT/T_RESOURCEPLAN/NYEAR",
    "validflag" : 1,
    "physicalfield" : 1,
    "codename" : "Nyear",
    "psdatatypeid" : "NSCODELIST",
    "createdate" : "2021-02-17 17:34:44",
    "psdetableid" : "<PSDATAENTITY>/T_RESOURCEPLAN",
    "pscodelistname" : "财务年度",
    "pkey" : 0,
    "logicname" : "年度",
    "majorfield" : 0,
    "deftype" : 1,
    "allowempty" : 1,
    "fkey" : 0,
    "pscodelistid" : "CodeList/goal__FiscalYear",
    "tablename" : "T_RESOURCEPLAN",
    "psdefformitems" : [ {
      "codename" : "Default",
      "createdate" : "2021-02-17 17:34:44",
      "ftmode" : "DEFAULT",
      "psdefformitemname" : "[NYEAR][年度]"
    }, {
      "codename" : "MobileDefault",
      "createdate" : "2021-02-17 17:34:45",
      "ftmode" : "MOBILEDEFAULT",
      "psdefformitemname" : "[NYEAR][年度]移动端默认"
    } ],
    "psdefdtcols" : [ {
      "psdefdtcolname" : "NYEAR",
      "customdatatype" : 0,
      "dbtype" : "MYSQL5",
      "createdate" : "2021-02-17 17:34:44"
    } ]
  }, {
    "enableuserinput" : 3,
    "psdefieldname" : "RESOURCEPLANID",
    "psdatatypename" : "全局唯一标识，文本类型，用户不可见",
    "pssysdbcolumnid" : "DEFAULT/T_RESOURCEPLAN/RESOURCEPLANID",
    "validflag" : 1,
    "physicalfield" : 1,
    "codename" : "ResourcePlanId",
    "psdatatypeid" : "GUID",
    "createdate" : "2021-02-16 19:44:39",
    "psdetableid" : "<PSDATAENTITY>/T_RESOURCEPLAN",
    "pkey" : 1,
    "length" : 100,
    "logicname" : "资源引进计划标识",
    "majorfield" : 0,
    "deftype" : 1,
    "allowempty" : 0,
    "fkey" : 0,
    "tablename" : "T_RESOURCEPLAN",
    "psdefformitems" : [ {
      "codename" : "Default",
      "createdate" : "2021-02-16 19:44:40",
      "ftmode" : "DEFAULT",
      "psdefformitemname" : "[RESOURCEPLANID][资源引进计划标识]"
    }, {
      "codename" : "MobileDefault",
      "createdate" : "2021-02-16 19:44:40",
      "ftmode" : "MOBILEDEFAULT",
      "psdefformitemname" : "[RESOURCEPLANID][资源引进计划标识]移动端默认"
    } ],
    "psdefdtcols" : [ {
      "psdefdtcolname" : "RESOURCEPLANID",
      "customdatatype" : 0,
      "dbtype" : "MYSQL5",
      "createdate" : "2021-02-16 19:44:39"
    } ]
  }, {
    "enableuserinput" : 3,
    "psdefieldname" : "RESOURCEPLANNAME",
    "psdatatypename" : "文本，可指定长度",
    "pssysdbcolumnid" : "DEFAULT/T_RESOURCEPLAN/RESOURCEPLANNAME",
    "validflag" : 1,
    "physicalfield" : 1,
    "codename" : "ResourcePlanName",
    "psdatatypeid" : "TEXT",
    "createdate" : "2021-02-16 19:44:40",
    "psdetableid" : "<PSDATAENTITY>/T_RESOURCEPLAN",
    "pkey" : 0,
    "length" : 200,
    "logicname" : "资源引进计划名称",
    "majorfield" : 1,
    "deftype" : 1,
    "allowempty" : 1,
    "fkey" : 0,
    "tablename" : "T_RESOURCEPLAN",
    "psdefformitems" : [ {
      "codename" : "Default",
      "createdate" : "2021-02-16 19:44:40",
      "ftmode" : "DEFAULT",
      "psdefformitemname" : "[RESOURCEPLANNAME][资源引进计划名称]"
    }, {
      "codename" : "MobileDefault",
      "createdate" : "2021-02-16 19:44:40",
      "ftmode" : "MOBILEDEFAULT",
      "psdefformitemname" : "[RESOURCEPLANNAME][资源引进计划名称]移动端默认"
    } ],
    "psdefsfitems" : [ {
      "psdeid" : "<PSDATAENTITY>",
      "psdbvalueopid" : "LIKE",
      "psdbvalueopname" : "文本包含(%)",
      "psdefsfitemname" : "N_RESOURCEPLANNAME_LIKE",
      "createdate" : "2021-02-16 19:44:40"
    } ],
    "psdefdtcols" : [ {
      "psdefdtcolname" : "RESOURCEPLANNAME",
      "customdatatype" : 0,
      "dbtype" : "MYSQL5",
      "createdate" : "2021-02-16 19:44:40"
    } ]
  }, {
    "enableuserinput" : 3,
    "psdefieldname" : "UPDATEDATE",
    "psdatatypename" : "日期时间型",
    "pssysdbcolumnid" : "DEFAULT/T_RESOURCEPLAN/UPDATEDATE",
    "validflag" : 1,
    "physicalfield" : 1,
    "codename" : "UpdateDate",
    "psdatatypeid" : "DATETIME",
    "createdate" : "2021-02-16 19:44:42",
    "psdetableid" : "<PSDATAENTITY>/T_RESOURCEPLAN",
    "predefinetype" : "UPDATEDATE",
    "pkey" : 0,
    "length" : 8,
    "logicname" : "更新时间",
    "majorfield" : 0,
    "deftype" : 1,
    "allowempty" : 0,
    "fkey" : 0,
    "tablename" : "T_RESOURCEPLAN",
    "psdefformitems" : [ {
      "codename" : "Default",
      "createdate" : "2021-02-16 19:44:42",
      "ftmode" : "DEFAULT",
      "psdefformitemname" : "[UPDATEDATE][更新时间]"
    }, {
      "codename" : "MobileDefault",
      "createdate" : "2021-02-16 19:44:42",
      "ftmode" : "MOBILEDEFAULT",
      "psdefformitemname" : "[UPDATEDATE][更新时间]移动端默认"
    } ],
    "psdefdtcols" : [ {
      "psdefdtcolname" : "UPDATEDATE",
      "customdatatype" : 0,
      "dbtype" : "MYSQL5",
      "createdate" : "2021-02-16 19:44:42"
    } ]
  }, {
    "enableuserinput" : 3,
    "psdefieldname" : "UPDATEMAN",
    "psdatatypename" : "文本，可指定长度",
    "pssysdbcolumnid" : "DEFAULT/T_RESOURCEPLAN/UPDATEMAN",
    "validflag" : 1,
    "physicalfield" : 1,
    "codename" : "UpdateMan",
    "psdatatypeid" : "TEXT",
    "createdate" : "2021-02-16 19:44:41",
    "psdetableid" : "<PSDATAENTITY>/T_RESOURCEPLAN",
    "predefinetype" : "UPDATEMAN",
    "pkey" : 0,
    "length" : 60,
    "logicname" : "更新人",
    "majorfield" : 0,
    "deftype" : 1,
    "allowempty" : 0,
    "fkey" : 0,
    "tablename" : "T_RESOURCEPLAN",
    "psdefformitems" : [ {
      "codename" : "Default",
      "createdate" : "2021-02-16 19:44:42",
      "ftmode" : "DEFAULT",
      "psdefformitemname" : "[UPDATEMAN][更新人]"
    }, {
      "codename" : "MobileDefault",
      "createdate" : "2021-02-16 19:44:42",
      "ftmode" : "MOBILEDEFAULT",
      "psdefformitemname" : "[UPDATEMAN][更新人]移动端默认"
    } ],
    "psdefdtcols" : [ {
      "psdefdtcolname" : "UPDATEMAN",
      "customdatatype" : 0,
      "dbtype" : "MYSQL5",
      "createdate" : "2021-02-16 19:44:42"
    } ]
  } ],
  "psdeopprivs" : [ {
    "logicname" : "建立",
    "createdate" : "2021-02-16 19:44:39",
    "psdeopprivname" : "CREATE"
  }, {
    "logicname" : "删除",
    "createdate" : "2021-02-16 19:44:39",
    "psdeopprivname" : "DELETE"
  }, {
    "logicname" : "读取",
    "createdate" : "2021-02-16 19:44:39",
    "psdeopprivname" : "READ"
  }, {
    "logicname" : "更新",
    "createdate" : "2021-02-16 19:44:39",
    "psdeopprivname" : "UPDATE"
  } ],
  "psdetables" : [ {
    "pssysdbtableid" : "DEFAULT/T_RESOURCEPLAN",
    "psdetablename" : "T_RESOURCEPLAN",
    "tabletype" : "MAIN",
    "createdate" : "2021-02-16 19:44:39",
    "colinheritmode" : 1
  } ],
  "pssysdmitems" : [ {
    "dbobjtype" : "TABLE",
    "pssystemdbcfgname" : "MYSQL5",
    "pssysdmitemname" : "T_RESOURCEPLAN",
    "userflag" : 0,
    "createsql4" : "CREATE TABLE `T_RESOURCEPLAN`(\n`RESOURCEPLANID`  VARCHAR(100)  NOT NULL PRIMARY KEY COMMENT '资源引进计划标识' \n,`CREATEMAN`  VARCHAR(60) COMMENT '建立人' \n,`RESOURCEPLANNAME`  VARCHAR(200) COMMENT '资源引进计划名称' \n,`CREATEDATE`  DATETIME COMMENT '建立时间' \n,`UPDATEMAN`  VARCHAR(60) COMMENT '更新人' \n,`UPDATEDATE`  DATETIME COMMENT '更新时间' \n,`MEMO`  VARCHAR(2000) COMMENT '备注' \n,`NYEAR`  INTEGER COMMENT '年度' \n,`NMONTH`  INTEGER COMMENT '月份' \n)COMMENT='资源引进计划';",
    "testsql" : "SELECT 1 FROM `T_RESOURCEPLAN` WHERE 1<>1",
    "psobjid" : "226981922e24454c62cd24b9c48e2859",
    "pssystemdbcfgid" : "MYSQL5",
    "psobjname" : "RESOURCEPLAN",
    "createdate" : "2021-02-16 19:47:26"
  }, {
    "dbobjtype" : "COLUMN",
    "pssystemdbcfgname" : "MYSQL5",
    "pssysdmitemname" : "T_RESOURCEPLAN.CREATEDATE",
    "userflag" : 0,
    "createsql4" : "ALTER TABLE `T_RESOURCEPLAN`\nADD COLUMN `CREATEDATE`  DATETIME  COMMENT '建立时间' \n",
    "testsql" : "SELECT `CREATEDATE` FROM `T_RESOURCEPLAN` WHERE 1<>1",
    "psobjid" : "971f1b1eafabdd5f1b79edcca96fddfd",
    "pssystemdbcfgid" : "MYSQL5",
    "psobjname" : "CREATEDATE",
    "createdate" : "2021-02-16 19:47:26"
  }, {
    "dbobjtype" : "COLUMN",
    "pssystemdbcfgname" : "MYSQL5",
    "pssysdmitemname" : "T_RESOURCEPLAN.CREATEMAN",
    "userflag" : 0,
    "createsql4" : "ALTER TABLE `T_RESOURCEPLAN`\nADD COLUMN `CREATEMAN`  VARCHAR(60)  COMMENT '建立人' \n",
    "testsql" : "SELECT `CREATEMAN` FROM `T_RESOURCEPLAN` WHERE 1<>1",
    "psobjid" : "27f6f05ae37ce58a2ae918e87a4c5fde",
    "pssystemdbcfgid" : "MYSQL5",
    "psobjname" : "CREATEMAN",
    "createdate" : "2021-02-16 19:47:26"
  }, {
    "dbobjtype" : "COLUMN",
    "pssystemdbcfgname" : "MYSQL5",
    "pssysdmitemname" : "T_RESOURCEPLAN.MEMO",
    "userflag" : 0,
    "createsql4" : "ALTER TABLE `T_RESOURCEPLAN`\nADD COLUMN `MEMO`  VARCHAR(2000)  COMMENT '备注' \n",
    "testsql" : "SELECT `MEMO` FROM `T_RESOURCEPLAN` WHERE 1<>1",
    "psobjid" : "b4f4cd10433e758cf13049a1ff39dc7b",
    "pssystemdbcfgid" : "MYSQL5",
    "psobjname" : "MEMO",
    "createdate" : "2021-02-16 20:16:07"
  }, {
    "dbobjtype" : "COLUMN",
    "pssystemdbcfgname" : "MYSQL5",
    "pssysdmitemname" : "T_RESOURCEPLAN.NMONTH",
    "userflag" : 0,
    "createsql4" : "ALTER TABLE `T_RESOURCEPLAN`\nADD COLUMN `NMONTH`  INTEGER  COMMENT '月份' \n",
    "testsql" : "SELECT `NMONTH` FROM `T_RESOURCEPLAN` WHERE 1<>1",
    "psobjid" : "51701500b9f58134e282637eca4ff61d",
    "pssystemdbcfgid" : "MYSQL5",
    "psobjname" : "NMONTH",
    "createdate" : "2021-02-17 17:48:39"
  }, {
    "dbobjtype" : "COLUMN",
    "pssystemdbcfgname" : "MYSQL5",
    "pssysdmitemname" : "T_RESOURCEPLAN.NYEAR",
    "userflag" : 0,
    "createsql4" : "ALTER TABLE `T_RESOURCEPLAN`\nADD COLUMN `NYEAR`  INTEGER  COMMENT '年度' \n",
    "testsql" : "SELECT `NYEAR` FROM `T_RESOURCEPLAN` WHERE 1<>1",
    "psobjid" : "4740b5727b88f0060388059a3c26a418",
    "pssystemdbcfgid" : "MYSQL5",
    "psobjname" : "NYEAR",
    "createdate" : "2021-02-17 17:48:39"
  }, {
    "dbobjtype" : "COLUMN",
    "pssystemdbcfgname" : "MYSQL5",
    "pssysdmitemname" : "T_RESOURCEPLAN.RESOURCEPLANID",
    "userflag" : 0,
    "createsql4" : "ALTER TABLE `T_RESOURCEPLAN`\nADD COLUMN `RESOURCEPLANID`  VARCHAR(100)  COMMENT '资源引进计划标识' \n",
    "testsql" : "SELECT `RESOURCEPLANID` FROM `T_RESOURCEPLAN` WHERE 1<>1",
    "psobjid" : "bf5e1dfc9bfc6a5de78bbc8bfda28bb8",
    "pssystemdbcfgid" : "MYSQL5",
    "psobjname" : "RESOURCEPLANID",
    "createdate" : "2021-02-16 19:47:26"
  }, {
    "dbobjtype" : "COLUMN",
    "pssystemdbcfgname" : "MYSQL5",
    "pssysdmitemname" : "T_RESOURCEPLAN.RESOURCEPLANNAME",
    "userflag" : 0,
    "createsql4" : "ALTER TABLE `T_RESOURCEPLAN`\nADD COLUMN `RESOURCEPLANNAME`  VARCHAR(200)  COMMENT '资源引进计划名称' \n",
    "testsql" : "SELECT `RESOURCEPLANNAME` FROM `T_RESOURCEPLAN` WHERE 1<>1",
    "psobjid" : "452aeb901ec95dff187daa83850bb1d6",
    "pssystemdbcfgid" : "MYSQL5",
    "psobjname" : "RESOURCEPLANNAME",
    "createdate" : "2021-02-16 19:47:26"
  }, {
    "dbobjtype" : "COLUMN",
    "pssystemdbcfgname" : "MYSQL5",
    "pssysdmitemname" : "T_RESOURCEPLAN.UPDATEDATE",
    "userflag" : 0,
    "createsql4" : "ALTER TABLE `T_RESOURCEPLAN`\nADD COLUMN `UPDATEDATE`  DATETIME  COMMENT '更新时间' \n",
    "testsql" : "SELECT `UPDATEDATE` FROM `T_RESOURCEPLAN` WHERE 1<>1",
    "psobjid" : "a4e13d73700999e4a13048baa5932433",
    "pssystemdbcfgid" : "MYSQL5",
    "psobjname" : "UPDATEDATE",
    "createdate" : "2021-02-16 19:47:26"
  }, {
    "dbobjtype" : "COLUMN",
    "pssystemdbcfgname" : "MYSQL5",
    "pssysdmitemname" : "T_RESOURCEPLAN.UPDATEMAN",
    "userflag" : 0,
    "createsql4" : "ALTER TABLE `T_RESOURCEPLAN`\nADD COLUMN `UPDATEMAN`  VARCHAR(60)  COMMENT '更新人' \n",
    "testsql" : "SELECT `UPDATEMAN` FROM `T_RESOURCEPLAN` WHERE 1<>1",
    "psobjid" : "e023b6e6c6a84cc1b4c5041346bea6ff",
    "pssystemdbcfgid" : "MYSQL5",
    "psobjname" : "UPDATEMAN",
    "createdate" : "2021-02-16 19:47:26"
  } ]
}